<?php
/*
	* @package Quick2Cart FJ Multivendor Shipping plugin
	* @copyright Copyright (C) 2014 FasterJoomla. All rights reserved.
	* @license GNU GPLv2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
	* @link     http://www.fasterjoomla.com
*/

defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.plugin.plugin');
$lang = JFactory::getLanguage();
$lang->load('plg_qtcshipping_qtc_shipping_default', JPATH_ADMINISTRATOR);

class plgQtcshippingqtc_fj_shipping extends JPlugin
{
	/**
	 * Retrieve the store's shipping charge and limit for free shipping
	 * @param unknown $amt
	 * @return multitype:number unknown
	 */
	function qtcshipping($amt)
	{
		error_log('Adding Shipping for '.$amt);
		$extra = $this->getExtraFields();
		$shipping_limit = $extra->shippingLimit; 
		$shipping_per = $extra->shipping;
		$return = array();
		if((float)$amt<$shipping_limit){
			$return['charges']=$shipping_per;	
			$return['amt']=$amt+(float)$shipping_per;
			//JText::sprintf(' Shipping is free on purchase of Rs. %s/ + ',$shipping_limit);			
			/*hardcoded for Rohan Publi*/			
		}
		return $return;
	}
	
	/**
	 * Invoke the qtc fj extra fields plugin to retrieve extra field values
	 * @return Ambigous <string, mixed>
	 */
	private function getExtraFields() {
		JPluginHelper::getPlugin('system','qtc_fj_extra_fields');
		$extraFields=JDispatcher::getInstance()->trigger('getExtraFields');
		if(!empty($extraFields)){
			$result=$extraFields[0];
		} else {
			$result = 'false';
			JError::raiseWarning(500,'Extrafields not invoked - shipping');
		}
	
		return $result;
	}
	
}
